Bug 548641 (CVE-2007-4567) - CVE-2007-4567 kernel: ipv6_hop_jumbo remote system crash
Summary: CVE-2007-4567 kernel: ipv6_hop_jumbo remote system crash
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2007-4567
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 554343 (view as bug list)
Depends On: 278021 548642 548643 549225 549226 553537
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-18 01:25 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:33 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-21 17:04:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0019 normal SHIPPED_LIVE Important: kernel security update 2010-01-07 23:35:15 UTC
Red Hat Product Errata RHSA-2010:0053 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-01-20 00:07:31 UTC
Red Hat Product Errata RHSA-2010:0079 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-02-02 21:01:07 UTC
Red Hat Product Errata RHSA-2010:0095 normal SHIPPED_LIVE Important: rhev-hypervisor security and bug fix update 2010-02-09 15:23:40 UTC

Description Eugene Teo (Security Response) 2009-12-18 01:25:29 UTC
Originally discovered by Victor Julien that there is a way to crash the Linux kernel by sending a single IPv6 packet at it.

1) The CVE-2007-4567 issue was reported to Red Hat in September 2007. Red Hat Enterprise Linux 5 was found not to be affected.

2) On December 18, 2009, a customer reported to us that Red Hat Enterprise Linux 5 was vulnerable to CVE-2007-4567.

3) Investigations showed that the issue was introduced in the RHBA-2008-0314 update on May 21, 2008 via a backport of a collection of patches for DoD IPv6 conformance.

4) Updates released on January 7, 2010 for Red Hat Enterprise Linux 5, resolving CVE-2007-4567.

Note that the Linux kernels as shipped with Red Hat Enterprise Linux 3, 4, and Red Hat Enterprise MRG are not affected.

Upstream commit:
http://git.kernel.org/linus/e76b2b2567b83448c2ee85a896433b96150c92e6

Reference:
http://rhn.redhat.com/errata/RHBA-2008-0314.html
https://rhn.redhat.com/errata/RHSA-2010-0019.html

Comment 7 errata-xmlrpc 2010-01-07 23:35:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0019 https://rhn.redhat.com/errata/RHSA-2010-0019.html

Comment 12 Neil Horman 2010-01-13 16:16:32 UTC
*** Bug 554343 has been marked as a duplicate of this bug. ***

Comment 14 errata-xmlrpc 2010-01-20 00:07:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.3.Z - Server Only

Via RHSA-2010:0053 https://rhn.redhat.com/errata/RHSA-2010-0053.html

Comment 16 errata-xmlrpc 2010-02-02 21:01:11 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5.2 Z Stream

Via RHSA-2010:0079 https://rhn.redhat.com/errata/RHSA-2010-0079.html

Comment 17 errata-xmlrpc 2010-02-09 15:23:43 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Virtualization for RHEL-5

Via RHSA-2010:0095 https://rhn.redhat.com/errata/RHSA-2010-0095.html


Note You need to log in before you can comment on or make changes to this bug.